Impersonate User
Generates a temporary authentication token to impersonate the user to whom the API key is attributed. The token expires in 1 hour. This endpoint is specially designed for the iframe integration. The organization must have impersonation enabled, and the API key must have canImpersonate enabled. Enable the key’s Allow this API key to impersonate the user option in Settings. Contact the Artemis engineering team if impersonation is not enabled for your organization.
Responses
- application/json
- application/json
- application/json
Request Example for post/users/impersonate
curl https://sales-api.artemis.solar/users/impersonate \
--request POST \
--header 'x-api-key: YOUR_SECRET_TOKEN'
{
"token": "YOUR_IMPERSONATION_TOKEN"
}
